Module | Amalgalite::SQLite3::Constants::Helpers
In: | lib/amalgalite/sqlite3/constants.rb lib/amalgalite/sqlite3/constants.rb

### Methods

name_from_value name_from_value value_from_name value_from_name

### Public Instance methods

name_from_value( value )

convert an integer value into the string representation of the associated constant. this is a helper method used by some of the other modules

name_from_value( value )

convert an integer value into the string representation of the associated constant. this is a helper method used by some of the other modules

value_from_name( name )

convert a string into the constant value. This is helper method used by some of the other modules

value_from_name( name )

convert a string into the constant value. This is helper method used by some of the other modules

[Validate]